
const { ccclass, property } = cc._decorator;
/**
 * 红包码列表
 * @author 薛鸿潇
 */
@ccclass
export default class RedBagCode extends cc.Component {

    @property({ type: cc.ScrollView, displayName: '滚动视图' })
    private scroll_view: cc.ScrollView = null!;

    // onLoad () {}

    start() {
        this.initList();
    }

    
    /**
     * 初始化滚动列表
     */
    private initList() {
        let list_data = gData.cashNormal.getListDataHavCode();
        this.scroll_view.node.emit('srollview-init', list_data)
    }
}
